slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetConvergenceTest(EPS eps,EPSConv conv)

Logically Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| conv | - the type of convergence test

### Options Database Keys

| -eps_conv_abs | - Sets the absolute convergence test
| -eps_conv_rel | - Sets the convergence test relative to the eigenvalue
| -eps_conv_norm | - Sets the convergence test relative to the matrix norms
| -eps_conv_user | - Selects the user-defined convergence test

### Note

The parameter 'conv' can have one of these values

| EPS_CONV_ABS | - absolute error ||r||
| EPS_CONV_REL | - error relative to the eigenvalue l, ||r||/|l|
| EPS_CONV_NORM | - error relative to the matrix norms, ||r||/(||A||+|l|*||B||)
| EPS_CONV_USER | - function set by EPSSetConvergenceTestFunction()

### See Also

EPSGetConvergenceTest(), EPSSetConvergenceTestFunction(), EPSSetStoppingTest(), EPSConv

### Level

intermediate

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages